org.modeshape.jcr.mimetype

## Class NullMimeTypeDetector

- java.lang.Object
- - org.modeshape.jcr.mimetype.NullMimeTypeDetector

- All Implemented Interfaces:
    MimeTypeDetector

      @Immutable
      public final class NullMimeTypeDetector
      extends Object
      implements MimeTypeDetector

  Implementation of `MimeTypeDetector` which doesn't detect mime-types.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MimeTypeDetector` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `mimeTypeOf(String name, Binary binaryValue)` Returns the MIME-type of a binary value, using its supplied content and/or its supplied name, depending upon the implementation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final MimeTypeDetector INSTANCE

  - ### Method Detail

    - #### mimeTypeOf

          public String mimeTypeOf(String name,
                          Binary binaryValue)

      Description copied from interface: `MimeTypeDetector`
      Returns the MIME-type of a binary value, using its supplied content and/or its supplied name, depending upon the implementation. If the MIME-type cannot be determined, either a "default" MIME-type or `null` may be returned, where the former will prevent earlier registered MIME-type detectors from being consulted.
      Specified by:
        `mimeTypeOf` in interface `MimeTypeDetector`
      Parameters:
        `name` - The name of the data source; may be `null`.
        `binaryValue` - The value which contains the raw data for which the mime type should be returned; may be `null`.
      Returns:
        The MIME-type of the data source, or optionally `null` if the MIME-type could not be determined.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.